<div>
    <a routerLink="">Back to Home Page</a>
    <h1>Task Two</h1>
    <div>
        <p>1. Use of ngIf</p>
        <p>Click on the button below to toggle displaying the name of the superhero</p>

        <button (click)="toggleShowName()">Show my name</button>

        <p *ngIf="showName">My Name is Brune Wayne</p>

    </div>

    <div>
        <p>2. Use of ngFor</p>
        <p>Prints the list of South Asian Countries</p>
        <ol>
            <li *ngFor="let country of countries">{{ country }}</li>
        </ol>
    </div>

    <div>
        <p>3. Use of ngSwitch</p>
        <label>Please select a country</label>
        <input type="radio" [value]="'Nepal'" [(ngModel)]="country">Nepal
        <input type="radio" [value]="'India'" [(ngModel)]="country">India
        <input type="radio" [value]="'Bhutan'" [(ngModel)]="country">Bhutan

        <div [ngSwitch]="country">
            <p *ngSwitchCase="'Nepal'">Your capital is Kathmandu</p>
            <p *ngSwitchCase="'India'">Your capital is New Delhi</p>
            <p *ngSwitchCase="'Bhutan'">Your capital is Thimpu</p>
        </div>
    </div>
</div>
